# Script to remove everything but DNA from trajectory. 
# Runs catdcd to perform final strip from within vmd
# INPUT : -args psf dcd outDir
#       : psf = psf file for trajectory
#       : dcd = dcd file for trajectory
#       : outDir = output directory for trajectory MUST BE CREATED BEFORE RUNNING SCRIPT
# OUTPUT: psf file with name outDir/(psf name stripped of directory information).str.psf
#       : pdb file with name outDir/(psf name stripped of directory information).str.pdb ##NOTE## taken from first frame of DCD
#       : dcd file with name outDir/(dcd name stripped of directory information).str.dcd
set psf [lindex $argv 0]
set dcd [lindex $argv 1]
set outDir [lindex $argv 2]

set psfbase [lindex [split [join [lrange [split $psf "."] 0 end-1 ] "."] "/"] end]
set psfbasename "$outDir/$psfbase"
puts "PSFBASENAME $psfbasename"
set dcdbase [lindex [split [join [lrange [split $dcd "."] 0 end-1 ] "."] "/"] end]
set dcdbasename "$outDir/$dcdbase"
puts "DCDBASENAME $dcdbasename"


mol new $psf
mol addfile $dcd first 0 last 1

set sel [atomselect top "nucleic"]
set outfile [open "$psfbasename.ind" "w"]
puts $outfile [$sel get index]
$sel writepdb $psfbasename.str.pdb
$sel writepsf $psfbasename.str.psf
close $outfile

 catdcd -o $dcdbasename.str.dcd -i $psfbasename.ind $dcd

exit
